// Strict Mode
"use strict";

// Imports
import cookies from "cookies";

// Set
function set ( req, res, name, data, httpOnly ) {
	new cookies(req, res).set(name, data, {
		secure: false,
		httpOnly: httpOnly,
		sameSite: true
	});
};

// Get
function get ( req, res, name ) {
	return new cookies(req, res).get(name);
};

// Exports
module.exports = {
	set,
	get
};