// Strict Mode
"use strict";

// Styles
import styles from "./footer.module.css";

// Components
import CopyrightCard from "./copyrightCard/copyrightCard.jsx";
import LinkCard from "./linkCard/linkCard";
import RenewableCard from "./renewableCard/renewableCard.jsx";

// Footer
export default function Footer () {
    return (
        <div className = { styles.footer }>
            <div>
                <RenewableCard/>
                <LinkCard title = "Legal" links = { [["Privacy Policy", "./privacypolicy"], ["Terms and Conditions", "./termsandconditions"], ["Accessibility Statement", "./accessibilitystatement"]] }/>
                <LinkCard title = "Other" links = { [["Contact", "./contact"]] }/>
            </div>
            <CopyrightCard/>
        </div>
    );
};