// Strict Mode
"use strict";

// Styles
import styles from "./header.module.css";

// Components
import NavigationCard from "./navigationCard/navigationCard.jsx";
import TitleCard from "./titleCard/titleCard.jsx";

// Header
export default function Header () {
    return (
        <div className = { styles.header }>
            <TitleCard/>
            <NavigationCard/>
        </div>
    );
};