// Strict Mode
"use strict";

// Imports
import encrypt from "./encrypt/encrypt.js";
import hash from "./hash/hash.js";

// Exports
module.exports = {
	encrypt: encrypt.encrypt,
	decrypt: encrypt.decrypt,
	hash: hash.hash,
	compareHash: hash.compareHash
};