// Strict Mode
"use strict";

// Imports
import aesEverywhere from "aes-everywhere";

// Encrypt Key
const encryptKey = process.env.CRYPTOGRAPHY_PASSWORD;

// Encrypt
async function encrypt ( data ) {
	return aesEverywhere.encrypt(data, encryptKey);
};

// Decrypt
async function decrypt ( data ) {
	return aesEverywhere.decrypt(data, encryptKey);
};

// Exports
module.exports = {
	encrypt,
	decrypt
};