// Strict Mode
"use strict";

// Imports
import styles from "../styles/404.module.css";
import Header from "../components/header/header.jsx";
import Title from "../components/title/title.jsx";
import Footer from "../components/footer/footer.jsx";

// Error 404
export default function Error404 () {
    return (
        <div>
            <Header/>
            <Title title = "Error"/>
            <div className = { styles.error404 }>
                <h2>404</h2>
            </div>
            <Footer/>
        </div>
    );
};