// Strict Mode
"use strict";

// Imports
import database from "../../database/database.js";

// Handler
export default async function handler ( req, res ) {
    try {
        const aes256 = require("aes-everywhere");
        const decryptedData = aes256.decrypt(req.body, process.env.CRYPTOGRAPHY_PASSWORD).split(",");
        if (decryptedData.length != 2) {
            res.send(500);
        } else {
            await database.createServer(decryptedData[0], decryptedData[1]);
            res.send(200);
        };
    } catch {
        res.send(500);
    };
};