// Strict Mode
"use strict";

// Styles
import styles from "./linkCard.module.css";

// Link Card
export default function LinkCard ({ title, links }) {
    return (
        <div className = { styles.linkCard }>
            <h5>{ title }</h5>
            {
                links.map(link => <h5><a href = { link[1] }>{ link[0] }</a></h5>)
            }
        </div>
    );
};