// Strict Mode
"use strict";

// Imports
const deepEmailValidator =  require("deep-email-validator");

// Validate Email
async function validateEmail ( email ) {
    const check = await deepEmailValidator.validate(email);
    if (check.validators.regex.valid && check.validators.mx.valid) return true;
    return false;
};

// Exports
module.exports = {
    validateEmail
};