// Strict Mode
"use strict";

// Imports
import database from "../../../database/database.js";

// Handler
export default async function handler ( req, res ) {
    try {
        res.send(await database.getStats(req.query.getStats)[0]);
    } catch {
        res.send(500);
    };
};