// Strict Mode
"use strict";

// Imports
import database from "../../database/database.js";

// Handler
export default async function handler ( req, res ) {
	try {
		const aes256 = require("aes-everywhere");
		const data = aes256.decrypt(req.body , 'password');
		const decryptedData = data.split(",");
		if (decryptedData.length != 5) {
			res.send(500);
		} else {
			await database.updateElo(decryptedData[0], decryptedData[1]);
			await database.updateGameRank(decryptedData[0], decryptedData[2]);
			await database.updateKills(decryptedData[0], decryptedData[3]);
			await database.updateDeaths(decryptedData[0], decryptedData[4]);
			res.send(200);
		};
	} catch {
		res.send(500);
	};
};